Thursday, February 22, 2018

Cross Post: SCOM 1801 Upgrade Pitfall With SCOM Reporting Instance

Got this one from the blog of Robert Bird, senior Premier Field Engineer for Microsoft UK. So all credits go to him.

When updating SCOM 2012 R2/2016 to SCOM 1801 you MUST install the SCOM Console (the UI, not the Web Console!!!) on the SSRS instance (the SCOM Reporting server) FIRST.

Otherwise the upgrade of the SCOM Reporting instance will fail. And installing the SCOM Console AFTERWARDS (when the first upgrade has failed) and rerunning the upgrade won’t do.

Go here for the original webposting.


Simen said...

I'm upgrading to 1801 today, and saw this article while waiting for the upgrade of Reporting Server :).

I got the error the first time I ran the upgrade. Installed the 2016 RTM console and ran the upgrade gain without any problems.

I did the "check for setup updates" and noticed it downloaded an update, so maybe they have fixed it?

Marnix Wolf said...

Hi Simen. ThanTh for the heads up. Could be that Microsoft fixed it. Not 100% sure though. Glad to hear it worked out for you

Dennis de Jong said...

I ran into the same issue when upgrading the report server. Searching for a solution online i found this official Microsoft article:
Re-ran the upgrade, after installing the console, and it completed succesfully.